Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009554Dwarf FortressTechnical -- Generalpublic2016-02-10 18:272018-05-25 11:55
ReporterBhaalspawnDF 
Assigned Tolethosor 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionduplicate 
PlatformWindowsOSWindows 8OS VersionWindows 8.1
Product Version0.42.03 
Target VersionFixed in Version 
Summary0009554: Game freezes for about 10 seconds then runs for 10 seconds repeatedly
DescriptionI have a fortress of about 200 dwarves in the summer of its 6th year. During the winter of my 5th year my save started having this problem. Nothing significant in the errorlog, I've tried to bring my save to the newest update (as of this report being written, which is 42.06), I've tried to change the temperature, graphics, and other settings in the init file, I've tried to cancel all jobs and send my dwarves to a burrow, this wasn't brought on by a siege or massive job designation (I've tried to cancel all designations as well), I've tried to use DFHack to delete all of the old clothing that were beginning to pile up, nothing has stopped the 10 second stutters and it is rendering the game unplayable at this point sadly. I was hoping when the river on the map thawed after the problem started that the issue would stop, but it isn't caused by frozen water.
Steps To ReproduceLoad the save, unpause, and start to play.
Additional InformationI'm running the game on an MSI GP70 2QF Leopard Pro; it has 8GB RAM, NVIDIA GTX950M Video Card, Intel Core i7-4720HQ CPU (Not sure how much all of this matters but I figured it couldn't hurt to give as much info as possible). I'm using the Phoebus tileset, thought it might somehow be related to that so changed it back to USCII, no change. The game isn't using an excess of memory, it stays rather stable at 1200MB-1300MB, no other significant processes running in the background. My AV is BitDefender, and I've also tried setting the DF exe as a trusted application in its settings, also to no avail.
Tags0.42.06
Attached Files

- Relationships
duplicate of 0009109resolvedToady One Massive stutter every few seconds 
related to 0010444resolvedToady One Extreme Lag and Stuttering after 7 Year Old Fort on World with Default Settings 
related to 0010459resolvedToady One Game stuttering/freezing every couple of steps 

-  Notes
(0034635)
Detros (manager)
2016-02-11 02:10

Ehm, which save?
(0034668)
BhaalspawnDF (reporter)
2016-02-15 07:42

It's region 3, the file is now in the Depot.
(0034674)
Witty (reporter)
2016-02-15 14:38
edited on: 2016-02-15 14:40

I'd post a link to the save here.

Also, sounds like a duplicate of

http://www.bay12games.com/dwarves/mantisbt/view.php?id=8076 [^]

I don't have a valid save anymore sadly, but I encountered this issue as well. The stuttering stopped however once a forgotten beast appeared in my partially revealed cavern. So I'm thinking this is caused by some pathing bug in unrevealed areas.

(0034675)
BhaalspawnDF (reporter)
2016-02-15 17:11
edited on: 2016-02-15 17:13

Here is the save: http://dffd.bay12games.com/file.php?id=11776 [^]

I'm hoping it's something like a hidden forgotten beast, at least then it can be solved easily, but I have gone through most of the other bugs that were similar to this one and either they weren't quite the problem I am having or the solution to their issue didn't help me on mine. I have tried to explore the caverns a bit after a while of it lagging like it is, but so far I have seen no monsters that are dead set on ruining the FPS. The bug you linked to there also seems to have a memory issue while moving the camera or doing things, mine stays very stable at 1200-1300MB. My embark is also much smaller, I believe 2X6 or so.

(0034744)
BhaalspawnDF (reporter)
2016-02-24 10:20

Update: I've also tried to reproduce this on my friend's computer which is quite a bit more powerful then my laptop, same issue. No forgotten beasts found underground thus far, I will continue actively seeking them out however. I'm wondering if this might have something to do with a war or some other large event outside my own fortress causing issues, but I don't know if that is how that works...
(0034745)
Sarmatian123 (reporter)
2016-02-24 15:34
edited on: 2016-02-24 15:40

Oh, my, my. The stutter. I think, I know what it is. This stutter. It happened to me too. I know how to cause it and how to remove it too. It got me even couple times, so I did add 1 to 1 and got 2. This is absolutely not an issue with caves. Trust me. Though those give you lag and mega spawn of vermin and even jungle rapidly growing in most dry and treeless mountain tops. No matter the hit on fps, it does not give you the stutter.

I hope you know how to use your quantum stockpiles. The only solution. Look for 100% full stockpiles. Use d-b-d and solve the stutter. As simple as that. I hope this workaround fixes it for you too.

Maybe wheelbarrows on some stockpiles could help with it as well.

I am not 100% what is causing it. Maybe it is something with workshops, or pathfinding for transportation job, or something amiss with job assigning. It could be connected with workshop clutter or as simple as a conflict with assigning 1 free spot on a stockpile to 100+ mover jobs waiting for it.

(0034763)
BhaalspawnDF (reporter)
2016-02-27 14:28

Thank you for the suggestion, but it did not work. I used DF Hack to autodump everything in my stockpile as that was something I hadn't thought of before, but the stutter came back strong as ever. I also tried destroying my wells, that sounded like something others were having issues with, no answer there either. This is a really shitty bug, it destroys the godliness that this game is.
(0034766)
Sarmatian123 (reporter)
2016-02-28 02:27

I was so sure this was the way I solved this stutter. Still sometimes I get some mild stutters, but I assumed so far it was due overflow on my underground crops stockpiles, as I am too lazy to turn those plots temporarily off.

I am not using DFhack. However I remember I used trade with merchant to sell all goods from my biggest overfilled stockpile (it was furniture stockpile), when I got rid off with the annoying 10 sec in and out constant freeze screen stutter.

The only other issue with opening caverns and filled up stockpiles I know is... the cave vermin.

It spreads even in over ground parts of fortresses. It pests mostly my refuse, which I tend to keep inside of my fort in covered above ground place. Upon opening third cavern on my last embark I had to atom smash under bridge 3 times all contents of my refuse just to start having again some empty space in it.

My dwarves collect refuse from outside too. I have about 20+ cats. I also always smooth stone everywhere to refuse space for vermin to breed in on surface and underground. Maybe this has something to do with the stutter?

BhaalspawnDF, could you check on this too?
(0034767)
BhaalspawnDF (reporter)
2016-02-28 15:31

Most of the stone in my fortress has been smoothed or engraved for a while now, I needed a royal hallway for my future king/queen to walk down to the throne room, so I don't THINK vermin are spawning in my area too much. I don't see very many at least, and the refuse stockpile is only about half full at any given time. I only have a couple cats but they do the job for me well enough. Cave vermin might be a different story, there are always tiny spiders and the like in the mining caverns below the fort. Do you think too many little vermin down there might cause something like this? I would think I would see something in the errorlog if cats were frantically trying to get rid of 50 vermin a piece?
(0034768)
BhaalspawnDF (reporter)
2016-02-28 15:33

Thank you for helping btw, it is VERY much appreciated! Hopefully this is something we can get solved, and although I'm glad you were able to figure it out on your save, it concerns me that there are multiple reasons for this damn stutter...
(0035335)
Dame de la Licorne (reporter)
2016-05-29 19:39

I had something similar happen to a fort, and solved it this way:

My temple and library zones were both 1x1, making them both 2x2 (so that there is space to "perform" or whatever they do) fixed the stutter. The stutter seems to happen once you get a lot of dwarves pathing to too-small zones. I don't run forts up to 200 dwarves, but maybe making the zones larger than you have them might work?
(0037582)
Sarmatian123 (reporter)
2018-01-11 06:01

I played just for one day a 11 year old (year 16) fortress with 110 Dwarves, of which some were sparing. I noticed 0.44.04 removed stutter, but also improved fps by 10%.

Is it me? Someone else noticed that too?

Miracles never end. Thanks Toady! :)
(0037585)
Loci (manager)
2018-01-11 13:28

v0.44.04: this save's stuttering appears to have been reduced but not entirely eliminated by the stuttering-bug-fixes (0010459).
(0038320)
Toady One (administrator)
2018-05-11 19:51

I'm getting three stutters near the start, and then it runs smoothly for as long as I let it run (a few minutes). The three stutters are the vegetation problem from 0009109.
(0038379)
lethosor (manager)
2018-05-25 11:55

I'll call this a duplicate of 0009109, then. Please reopen this report (or PM a manager on the forums) if this persists whenever 0009109 is fixed (possibly 0.44.11 or newer).

- Issue History
Date Modified Username Field Change
2016-02-10 18:27 BhaalspawnDF New Issue
2016-02-10 18:33 BhaalspawnDF Issue Monitored: BhaalspawnDF
2016-02-10 18:33 BhaalspawnDF Issue End Monitor: BhaalspawnDF
2016-02-11 02:10 Detros Note Added: 0034635
2016-02-11 19:04 BhaalspawnDF Note Added: 0034642
2016-02-15 07:42 BhaalspawnDF Note Deleted: 0034642
2016-02-15 07:42 BhaalspawnDF Note Added: 0034668
2016-02-15 14:38 Witty Note Added: 0034674
2016-02-15 14:40 Witty Note Edited: 0034674 View Revisions
2016-02-15 17:11 BhaalspawnDF Note Added: 0034675
2016-02-15 17:13 BhaalspawnDF Note Edited: 0034675 View Revisions
2016-02-24 10:20 BhaalspawnDF Note Added: 0034744
2016-02-24 15:34 Sarmatian123 Note Added: 0034745
2016-02-24 15:38 Sarmatian123 Tag Attached: 0.42.06
2016-02-24 15:40 Sarmatian123 Note Edited: 0034745 View Revisions
2016-02-27 14:28 BhaalspawnDF Note Added: 0034763
2016-02-28 02:27 Sarmatian123 Note Added: 0034766
2016-02-28 15:31 BhaalspawnDF Note Added: 0034767
2016-02-28 15:33 BhaalspawnDF Note Added: 0034768
2016-05-29 19:39 Dame de la Licorne Note Added: 0035335
2017-12-21 19:31 lethosor Relationship added related to 0010444
2017-12-21 19:31 lethosor Relationship added related to 0009109
2017-12-21 19:31 lethosor Relationship added related to 0010459
2018-01-11 06:01 Sarmatian123 Note Added: 0037582
2018-01-11 13:28 Loci Note Added: 0037585
2018-04-16 18:10 Huntthetroll Issue Monitored: Huntthetroll
2018-05-11 19:51 Toady One Note Added: 0038320
2018-05-25 11:55 lethosor Note Added: 0038379
2018-05-25 11:55 lethosor Relationship replaced duplicate of 0009109
2018-05-25 11:55 lethosor Status new => resolved
2018-05-25 11:55 lethosor Resolution open => duplicate
2018-05-25 11:55 lethosor Assigned To => lethosor


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker